/******************************************************************************/
/******************************************************************************/
/*                                                                            */
/* Trigger: DTULTATUPSER                                                      */
/* Tabela : PEDISERVPROP                                                      */
/*                                                                            */
/* Criao:                                                                   */
/* 19/06/2006 - Eduardo H. c. Ramos                                           */
/*                                                                            */
/******************************************************************************/

CREATE OR REPLACE TRIGGER DTULTATUPSER
BEFORE INSERT OR UPDATE OR DELETE
ON PEDISERVPROP FOR EACH ROW

BEGIN
   IF INSERTING THEN
      :NEW.DTULTATUPSER := SYSDATE;
   END IF;
   IF UPDATING THEN
      IF (NVL(:OLD.NRPROPOSFAS,0 ) <> NVL(:NEW.NRPROPOSFAS,0)) OR
         (NVL(:OLD.NRVERPROPFAS,0) <> NVL(:NEW.NRVERPROPFAS,0)) OR
         (NVL(:OLD.NRSERVPEDP,0  ) <> NVL(:NEW.NRSERVPEDP,0)) OR
         (NVL(:OLD.CDTIPOSERV,0  ) <> NVL(:NEW.CDTIPOSERV,0)) OR
         (NVL(:OLD.CDCLIENTE,0   ) <> NVL(:NEW.CDCLIENTE,0)) OR
         (NVL(:OLD.QTSERVPEDP,0  ) <> NVL(:NEW.QTSERVPEDP,0)) OR
         (NVL(:OLD.VRHORAPEDP,0  ) <> NVL(:NEW.VRHORAPEDP,0)) THEN
         :NEW.DTULTATUPSER := SYSDATE;
      END IF;
   END IF;
   IF DELETING THEN
      INSERT INTO DELETECACHE (NMTABLECACHE, CDFILICACHE, DSKEYCACHE, DTULTATUCACH)
                       VALUES ('PEDISERVPROP', '',         'NRPROPOSFAS='||:OLD.NRPROPOSFAS||';NRVERPROPFAS='||:OLD.NRVERPROPFAS||';NRSERVPEDP='||:OLD.NRSERVPEDP||';', SYSDATE);                  
   END IF;
END;
/

ALTER TABLE PEDISERVPROP MODIFY DTULTATUPSER DEFAULT SYSDATE
/